%define 	module	ftpparsemodule

Summary:	Python package providing parse FTP LIST command
Summary(pl.UTF-8):	Pakiet Pythona do analizy polecenia FTP LIST
Name:		python-%{module}
Version:	0.93
Release:	5
License:	BSD
Group:		Development/Languages/Python
Source0:	http://c0re.23.nu/c0de/ftpparsemodule/ftpparsemodule-%{version}.tar.gz
# Source0-md5:	05735a02d74554f8895e9faf5e3b15d5
Patch0:		%{module}-gcc.patch
URL:		http://c0re.23.nu/c0de/ftpparsemodule/
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FTP-Servers provide a wide range of responses to the LIST command.
ftpparsemodule allows you to parse most FTP-servers LIST responses
found in the wild. It does so by using Dan Bernstein's ftpparse
package and making it accessible to Python.

%description -l pl.UTF-8
Serwery FTP dostarczają dużego rozrzutu odpowiedzi na polecenie LIST.
ftpparsemodule pozwala przeanalizować odpowiedzi na LIST pochodzące od
większości serwerów FTP istniejących na świecie. Robi to przy użyciu
pakietu ftpparse Dana Bersteina, czyniąc go dostępnym z poziomu
Pythona.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ftpparsemodule.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> eff2648
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ec9cee1
- automatic change: use py_build/py_install macros

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> f0048e6
- BR: python, python-devel, python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 51f9a55
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e214297
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1d4699e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1a69b27
- converted to UTF-8

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> ca0ef5c
- spaces->tabs
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> ca678a9
- spelling fixes, uppercases, etc.

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> eb4d864
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> d1b6b0f
- capitalization, tabs, other cosmetics

* Mon Feb 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 88e9296
- fixed gcc patch (don't remove newlines); release 2

* Mon Feb 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 1960d80
- fixed (don't remove newlines)

* Thu Jan 29 2004 areq <areq@pld-linux.org> 43a8ee7
- for gcc 3

* Thu Jan 29 2004 areq <areq@pld-linux.org> 50b3001
- add gcc.patch, now works

* Mon Jan 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 4928fed
- pl

* Sun Jan 25 2004 areq <areq@pld-linux.org> 544ca16
- init PLD spec NFY - needed python hacker

